/**
 *
 * $Header: /cvsroot/hungry/lesstif/lib/Xm-2.0/RenderTable.c,v 1.10 1998/10/20 20:46:39 danny Exp $
 *
 * Copyright (C) 1998 Free Software Foundation, Inc.
 *
 * This file is part of the GNU LessTif Library.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 **/

static const char rcsid[] = "$Header: /cvsroot/hungry/lesstif/lib/Xm-2.0/RenderTable.c,v 1.10 1998/10/20 20:46:39 danny Exp $";

#include <LTconfig.h>
#include <Xm/Xm.h>
#include <Xm/XmP.h>

XmRenderTable
XmRenderTableAddRenditions(
		XmRenderTable	oldtable,
		XmRendition	*renditions,
		Cardinal	rendition_count,
		XmMergeMode	merge_mode)
{
	return NULL;
}

XmRenderTable
XmRenderTableCopy(
		XmRenderTable	table,
		XmStringTag	*tags,
		int		tag_count)
{
	return NULL;
}

XmRenderTable
XmRenderTableCvtFromProp(
		Widget		widget,
		char		*property,
		unsigned int	length)
{
	return NULL;
}

unsigned int
XmRenderTableCvtToProp(
		Widget		widget,
		XmRenderTable	table,
		char		**prop_return)
{
	return 0;
}

void
XmRenderTableFree(XmRenderTable table)
{
}

XmRendition
XmRenderTableGetRendition(
		XmRenderTable	table,
		XmStringTag	tag)
{
	return NULL;
}

XmRendition *
XmRenderTableGetRenditions(
		XmRenderTable	table,
		XmStringTag	*tags,
		Cardinal	tag_count)
{
	return NULL;
}

int
XmRenderTableGetTags(
		XmRenderTable	table,
		XmStringTag	**tag_list)
{
	return 0;
}

XmRenderTable
XmRenderTableRemoveRenditions(
		XmRenderTable	oldtable,
		XmStringTag	*tags,
		int		tag_count)
{
	return NULL;
}

Boolean
XmeRenderTableGetDefaultFont(
		XmRenderTable	renderTable,
		XFontStruct	**fontStruct)
{
	return False;
}

XmString
XmStringGenerate(
	XtPointer	text,
	XmStringTag	tag,
	XmTextType	type,
	XmStringTag	rendition)
{
	/* FIX ME */

	/* Just implement the easy case for now */
#if 0
        if (rendition == NULL && type == XmCHARSET_TEXT)
#else
	/* There are no renditions anyway. Ease the check to comfort
	 * Rick Niles. */
        if (type == XmCHARSET_TEXT)
#endif
	{
	  if(tag == NULL)
	    tag = XmFONTLIST_DEFAULT_TAG;
	  return XmStringCreateLtoR(text, tag);
	}

	_XmWarning(NULL, "XmStringGenerate: unimplemented option");
	return NULL;
}

XmRendition 
XmRenditionCreate(Widget widget,
                XmStringTag tag,
                ArgList arglist,
                Cardinal argcount)
{
  return NULL;
}

void 
XmRenditionFree(XmRendition rendition)
{
  /* XXX FIX ME XXX: Is this right? */
  XtFree((char *) rendition);
}

void 
XmRenditionUpdate(XmRendition rendition, 
                ArgList arglist, 
                Cardinal argcount)
{
  /* XXX FIX ME XXX: This is just a stub. */
}
